Subject: Re: [bug-diffutils] bug#70473: [PATCH] tests: fix stdin tests

From: Tanmay <[email-masked]>
Date: Fri, 19 Apr 2024 23:47:42 +0530

Hi,

Thanks for replying!

I was using an older version (3.8) of diffutils on my machine, and I
believe this feature was introduced recently. So, I thought it might be a
bug. Now, I've grown more curious about how this feature is implemented to
handle stdin. Implementing it without stdin seems fairly straightforward.

Looking forward to your response.

Thanks,
Tanmay

On Fri, 19 Apr 2024 at 21:22, Paul Eggert <[email-masked]> wrote:

> On 2024-04-19 05:07, Tanmay wrote:
> > I noticed that in the tests/stdin directory, we were taking input
> directly
> > from the 'd' directory, which seems incorrect.
> >
> > tests/stdin:31 diff -u - a <d >out 2>err || fail=1
>
> I don't see a bug there. In general 'diff DIRECTORY FILE' acts like
> 'diff DIRECTORY/FILE FILE'; here 'diff - a <d' acts like 'diff d/a a'.
>